# HG changeset patch
# Node ID 75ff937a38a5
# Parent  d25fecfb02f9
diff --git a/libpurple/protocols/bonjour/bonjour.c b/libpurple/protocols/bonjour/bonjour.c
--- a/libpurple/protocols/bonjour/bonjour.c
+++ b/libpurple/protocols/bonjour/bonjour.c
@@ -753,7 +753,8 @@
 		BONJOUR_TYPE_PROTOCOL,
 		"id", "prpl-bonjour",
 		"name", "Bonjour",
-		"description", "Bonjour is a serverless protocol, developed by Apple",
+		"description", _("Bonjour is a serverless protocol for local "
+		                 "networks."),
 		"icon-name", "im-bonjour",
 		"icon-resource-path", "/im/pidgin/libpurple/bonjour/icons",
 		"options", OPT_PROTO_NO_PASSWORD,
diff --git a/libpurple/protocols/facebook/facebook.c b/libpurple/protocols/facebook/facebook.c
--- a/libpurple/protocols/facebook/facebook.c
+++ b/libpurple/protocols/facebook/facebook.c
@@ -1737,7 +1737,9 @@
 	fb_protocol = g_object_new(FACEBOOK_TYPE_PROTOCOL,
 	                           "id", FB_PROTOCOL_ID,
 	                           "name", "Facebook",
-	                           "description", "Facebook is a chat protocol, developed by Facebook",
+	                           "description", _("Facebook Messenger allows "
+	                                            "you to talk with your "
+	                                            "friends on Facebook."),
 	                           "icon-name", "im-facebook",
 	                           "icon-resource-path", "/im/pidgin/libpurple/facebook/icons",
 	                           "options", OPT_PROTO_CHAT_TOPIC,
diff --git a/libpurple/protocols/gg/gg.c b/libpurple/protocols/gg/gg.c
--- a/libpurple/protocols/gg/gg.c
+++ b/libpurple/protocols/gg/gg.c
@@ -1211,7 +1211,7 @@
 		GGP_TYPE_PROTOCOL,
 		"id", "prpl-gg",
 		"name", "Gadu-Gadu",
-		"description", "Gadu-Gadu is a Polish instant messaging client",
+		"description", _("Gadu-Gadu is a Polish instant messaging network."),
 		"icon-name", "im-gadu-gadu",
 		"icon-resource-path", "/im/pidgin/libpurple/gg/icons",
 		NULL));
diff --git a/libpurple/protocols/irc/irc.c b/libpurple/protocols/irc/irc.c
--- a/libpurple/protocols/irc/irc.c
+++ b/libpurple/protocols/irc/irc.c
@@ -1165,7 +1165,8 @@
 		IRC_TYPE_PROTOCOL,
 		"id", "prpl-irc",
 		"name", "IRC",
-		"description", "Internet Relay Chat (IRC) is a text-based chat system",
+		"description", _("Internet Relay Chat (IRC) is a text-based chat "
+		                 "system."),
 		"icon-name", "im-irc",
 		"icon-resource-path", "/im/pidgin/libpurple/irc/icons",
 		"options", OPT_PROTO_CHAT_TOPIC | OPT_PROTO_PASSWORD_OPTIONAL |
diff --git a/libpurple/protocols/jabber/xmpp.c b/libpurple/protocols/jabber/xmpp.c
--- a/libpurple/protocols/jabber/xmpp.c
+++ b/libpurple/protocols/jabber/xmpp.c
@@ -139,7 +139,8 @@
 		XMPP_TYPE_PROTOCOL,
 		"id", XMPP_PROTOCOL_ID,
 		"name", "XMPP",
-		"description", "Extensible Messaging and Presence Protocol for IM, voice and video",
+		"description", _("Extensible Messaging and Presence Protocol for IM, "
+		                 "voice, and video."),
 		"icon-name", "im-jabber",
 		"icon-resource-path", "/im/pidgin/libpurple/xmpp/icons",
 		"options", options,
diff --git a/libpurple/protocols/novell/novell.c b/libpurple/protocols/novell/novell.c
--- a/libpurple/protocols/novell/novell.c
+++ b/libpurple/protocols/novell/novell.c
@@ -3642,7 +3642,8 @@
 		NOVELL_TYPE_PROTOCOL,
 		"id", "prpl-novell",
 		"name", "GroupWise",
-		"description", "GroupWise is a messaging and collaboration platform from Micro Focus",
+		"description", _("GroupWise is a messaging and collaboration "
+		                 "platform from Micro Focus."),
 		"icon-name", "im-novell",
 		"icon-resource-path", "/im/pidgin/libpurple/novell/icons",
 		NULL));
diff --git a/libpurple/protocols/sametime/sametime.c b/libpurple/protocols/sametime/sametime.c
--- a/libpurple/protocols/sametime/sametime.c
+++ b/libpurple/protocols/sametime/sametime.c
@@ -66,11 +66,6 @@
 
 static PurpleProtocol *my_protocol = NULL;
 
-#define PROTOCOL_ID        "prpl-meanwhile"
-#define PROTOCOL_NAME      "Sametime"
-#define PROTOCOL_DESCRIPTION "Sametime chat by Lotus"
-
-
 /* considering that there's no display of this information for protocols,
    I don't know why I even bother providing these. Oh valiant reader,
    I do it all for you. */
@@ -5393,9 +5388,9 @@
 mw_protocol_new(void) {
   return PURPLE_PROTOCOL(g_object_new(
     MW_TYPE_PROTOCOL,
-    "id", PROTOCOL_ID,
-    "name", PROTOCOL_NAME,
-    "description", PROTOCOL_DESCRIPTION,
+    "id", "prpl-meanwhile",
+    "name", "Sametime",
+    "description", _("HCL Sametime enterprise chat."),
     "icon-name", "im-meanwhile",
     "icon-resource-path", "/im/pidgin/libpurple/sametime/icons",
     NULL));
diff --git a/libpurple/protocols/silc/silc.c b/libpurple/protocols/silc/silc.c
--- a/libpurple/protocols/silc/silc.c
+++ b/libpurple/protocols/silc/silc.c
@@ -2350,7 +2350,7 @@
 	        SILCPURPLE_TYPE_PROTOCOL,
 	        "id", "prpl-silc",
 	        "name", "SILC",
-	        "description", "SILC - Secure Internet Live Conferencing protocol",
+	        "description", _("Secure Internet Live Conferencing protocol."),
 	        "icon-name", "im-silc",
 	        "icon-resource-path", "/im/pidgin/libpurple/silc/icons",
 	        "options", OPT_PROTO_CHAT_TOPIC | OPT_PROTO_UNIQUE_CHATNAME |
diff --git a/libpurple/protocols/zephyr/zephyr.c b/libpurple/protocols/zephyr/zephyr.c
--- a/libpurple/protocols/zephyr/zephyr.c
+++ b/libpurple/protocols/zephyr/zephyr.c
@@ -1725,7 +1725,7 @@
 		ZEPHYR_TYPE_PROTOCOL,
 		"id", "prpl-zephyr",
 		"name", "Zephyr",
-		"description", "Zephyr is an instant messaging protocol, created at MIT",
+		"description", _("The chat component of Project Athena."),
 		"icon-name", "im-zephyr",
 		"icon-resource-path", "/im/pidgin/libpurple/zephyr/icons",
 		"options", OPT_PROTO_CHAT_TOPIC | OPT_PROTO_NO_PASSWORD,
